## org.eclipse.datatools.sqltools.result.internal.ui.viewer
Class TextResultViewer

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.ui.viewer.TextResultViewer

    public class TextResultViewer

extends java.lang.Object

This is a text widget with some common context menu items:CUT,COPY, PASTE, etc. that is used to display SQL results in text mode. User can also hook user-defined items.

Author:
  Dafan Yang

Nested Class Summary
`class` `TextResultViewer.RedoAction`
`class` `TextResultViewer.UndoAction`

Constructor Summary
`TextResultViewer(org.eclipse.swt.widgets.Composite parent, int style, java.util.ArrayList hookedActions)`

Method Summary
`void` `addHookedContextMenuItems()` hook some menu item to the context menu
`void` `configureViewer()` configure the source viewer
`org.eclipse.jface.text.source.SourceViewer` `getViewer()`
`void` `initializeCommonActions()` get all global actions
`void` `resetUndoMgr()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextResultViewer

    public TextResultViewer(org.eclipse.swt.widgets.Composite parent,
                            int style,
                            java.util.ArrayList hookedActions)

Parameters:
  `parent` -
  `style` -
  `hookedActions` -

Method Detail

### initializeCommonActions

    public void initializeCommonActions()

  get all global actions

### configureViewer

    public void configureViewer()

  configure the source viewer

### getViewer

    public org.eclipse.jface.text.source.SourceViewer getViewer()

### resetUndoMgr

    public void resetUndoMgr()

### addHookedContextMenuItems

    public void addHookedContextMenuItems()

  hook some menu item to the context menu